Skip to content

Transfer signups from one variant to another

LegacyAPI v1 is the older API. It still works and is supported, but new integrations should use API v2. Migrating from v1 to v2

POST
/external/intents/transfer_signups
curl --request POST \
--url https://app.stoqapp.com/api/v1/external/intents/transfer_signups \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <X-Auth-Token>' \
--data '{ "from_shopify_variant_id": 43900910010503, "from_shopify_product_id": 7891234567890, "to_shopify_variant_id": 43900910010999, "to_shopify_product_id": 7891234567890, "intent_type": "unsent" }'

Transfer intents (signups) from a source variant to a target variant. This is useful when consolidating variants or when products are restructured. By default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.

Media typeapplication/json
object
from_shopify_variant_id
required

Shopify variant ID to transfer signups from

integer
from_shopify_product_id
required

Shopify product ID of the source variant

integer
to_shopify_variant_id
required

Shopify variant ID to transfer signups to

integer
to_shopify_product_id
required

Shopify product ID of the target variant

integer
intent_type

Type of intents to transfer (default is unsent/pending)

string
Allowed values: unsent sent all

Example

{
"from_shopify_variant_id": 43900910010503,
"from_shopify_product_id": 7891234567890,
"to_shopify_variant_id": 43900910010999,
"to_shopify_product_id": 7891234567890,
"intent_type": "unsent"
}

Transfer completed successfully

Bad request - invalid parameters

Media typeapplication/json
object
error
string

Example generated

{
"error": "example"
}

Unauthorized

Transfer failed

Media typeapplication/json
object
errors

Interactor errors object

object

Example generated

{
"errors": {}
}
Was this page helpful?

Still stuck? Ask Quinn or chat with support